#include <stdio.h>
int main()
{
    int n;
    int bonus;
    int broj = 0;
    int j;
    scanf("%d", &n);
    int a[n];
    for(int i = 0; i < n; i++)
    {
        scanf("%d", &a[i]);
    }
    int q;
    scanf("%d", &q);
    int l[q];
    int r[q];
    for(int i = 0; i < q; i++)
    {
        scanf("%d %d", &l[i], &r[i]);
    }
    int niz[n];
    for(int i = 0; i < q; i++)
    {
        j = l[i] - 1;
        while(j >= l[i] - 1 && j < r[i])
        {
            niz[j] = a[j];
            j++;
        }
        for(int k = l[i] - 1; k < r[i] - 1; k++)
        {
            if(niz[k] > niz[k + 1])
                {
                    broj++;
                }
            if(broj > 1)
                {
                    printf("NE\n");
                    break;
                }
        }
        if(broj <= 1)
            printf("DA\n");
        broj = 0;
    }
}